package com.duowenlvshi.duowenlszp.model.lawyer.dao;

import com.duowenlvshi.duowenlszp.model.lawyer.entity.Lawyer;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

public interface LawyerMapper {
    int deleteByPrimaryKey(String id);



    int insertSelective(Lawyer record);

    Lawyer selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Lawyer record);

    String selectSex(String id);

    Map selectPushToken(String id);

    String selectDeviceType(String id);

    Map selectName(String id);

    int updateBackgroundMap(@Param("map") Map map);

    String selectBackgroundMap(@Param("map") Map map);

}